<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 16/08/2017 15:42
OBS.: ATUALIZAÇÃO DE NOVOA ESTRUTURA E REVISÃO
*/

// Função criada para Selecionar dados do Banco, precisa adicionar depois While ou Foreach sempre usando o $seleciona
function Seleciona($tabela, $quando, $ordem){
	
	$seleciona = mysql_query("SELECT * FROM $tabela $quando $ordem") or die (mysql_error());
	return $seleciona;	
}

//Função para Salvar dados na Tabela, Opção de Enviar nome da Tabela, Colunas e Campos
function Salvar($tabela, $colunas, $campos){
	$insere = mysql_query("INSERT INTO $tabela($colunas) value ($campos)") or die (mysql_error());
	return $insere;
}

//Função para Alterar dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function Alterar($tabela, $campos, $idbanco, $idcampo){
	
	$alterar = mysql_query("UPDATE $tabela SET $campos WHERE $idbanco=$idcampo") or die (mysql_error());
        return $alterar;
}

//Função para Excluir dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function Excluir($tabela, $idbanco, $idcampo){
	
	$excluir = mysql_query("DELETE FROM $tabela WHERE $idbanco=$idcampo") or die (mysql_error());
        return $excluir;
}

//Função para Excluir dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function ExcluirNovo($tabela, $idbanco, $idcampo){
    $excluir = mysql_query("UPDATE $tabela SET excluido='sim' WHERE $idbanco=$idcampo") or die (mysql_error());		
        return $excluir;
}

//FUNÇÃO QUE VERICIA SQL E REDIRECIONA
function VerificaSql($sql, $urlok, $urlerrado){

	if ($sql){
		echo"
		<script type=\"text/Javascript\">
		alert('Item Adicionado / Alterado com Sucesso!')
		window.location = '".$urlok."';</script>";
		die;
	}else{
		echo"
	<script type=\"text/Javascript\">
	window.location = '";
	echo $urlerrado;
	echo "';</script>";
		die;
	}

}


//FUNÇÃO QUE VERICIA SQL E REDIRECIONA SEM ALERT
function VerificaSqlSemAlert($sql, $urlok, $urlerrado){

	if ($sql){
		echo"
		<script type=\"text/Javascript\">
		window.location = '".$urlok."';</script>";
		die;
	}else{
		echo"
	<script type=\"text/Javascript\">
	window.location = '";
	echo $urlerrado;
	echo "';</script>";
		die;
	}

}

    

function InverteDataNovoSeparador($data,$separador, $novoseparador) {
	//Inverte a data para exibir do banco

	$novadata = implode("".$novoseparador."",array_reverse(explode("".$separador."",$data)));
	return $novadata;
}


function ConverteDataBanco($data,$separador, $novoseparador) {
	//Inverte a data para exibir do banco

	$databanco = implode("".$novoseparador."",array_reverse(explode("".$separador."",$data)));
	return $databanco;
}


function RetornaMes($mes) {

	if($mes == "01"){
		$nome_mes = "Janeiro";
	}
	
	if($mes == "02"){
		$nome_mes = "Fevereiro";
	}

	if($mes == "03"){
		$nome_mes = "Março";
	}
	
	if($mes == "04"){
		$nome_mes = "Abril";
	}
	
	if($mes == "05"){
		$nome_mes = "Maio";
	}
	
	if($mes == "06"){
		$nome_mes = "Junho";
	}
	
	if($mes == "07"){
		$nome_mes = "Julho";
	}
	
	if($mes == "08"){
		$nome_mes = "Agosto";
	}

	if($mes == "09"){
		$nome_mes = "Setembro";
	}
	
	if($mes == "10"){
		$nome_mes = "Outubro";
	}
	
	if($mes == "11"){
		$nome_mes = "Novembro";
	}		
	
	if($mes == "12"){
		$nome_mes = "Dezembro";
	}	
	
	return $nome_mes;								

}

function StatusConta($status) {

    // Converte Id para Texto

    if($status == 1){
		$resultado = "Em aberto";
	}

	
	if($status == 2){
		$resultado = "Pago";
	}	

    return $resultado;

}



function TipoConta($tipo) {

    // Converte Id para Texto

    if($tipo == 1){
		$resultado = "Contas a Pagar";
	}

	if($tipo == 2){
		$resultado = "Contas a Receber";
	}	

    return $resultado;

}

function StatusTarefa($status) {

    // Converte Id para Texto
    if($status == 1){
		$resultado = "Em aberto";
	}

	
	if($status == 2){
		$resultado = "Andamento";
	}	


	if($status == 3){
		$resultado = "Finalizado";
	}	
    return $resultado;
}


function Prioridade($status) {
    // Converte Id para Texto

    if($status == 1){
		$resultado = "Alta";
	}

	if($status == 2){
		$resultado = "M&eacute;dia";	
	}	

	if($status == 3){
		$resultado = "Baixa";
	}	

    return $resultado;
}

function RecebePagina($recebepagina) {

    if(empty($recebepagina)){
		$pagina = "manutencao_clientes_novo.php";
	}else{
		$pagina = $recebepagina;
	}
	
	return $pagina;
}

//GERADOR DE CAMPOS POST

function GerarCamposPost($tabela, $nomelinha, $pagina, $idregistro){
echo '$'.$idregistro.' = $_GET[\''.$idregistro.'\'];';	
echo "<br>";
echo "<br>";
echo 'if($'.$idregistro.' == ""){';
echo "<br>";
echo '	$acao		 	= "Salvar";';
echo "<br>";
echo '}else{';
echo "<br>";
echo '	$acao 			= "Alterar";	';
echo "<br>";
echo '}';
echo "<br>";
echo "<br>";

echo '//Recebe Acao';
echo "<br>";
echo '$acao_bd		    = $_GET["acao"];';
echo "<br>";
echo '$acao_bd		   .= $_POST["acao"];';
echo "<br>";	
	
echo "<br><br> <strong> //CAMPOS POST </strong><br><br>";
	
$query_post = mysql_query("SHOW COLUMNS FROM " . $tabela . "");

//GERAR POST 
echo "<br>";
while ($coluna = mysql_fetch_assoc($query_post)) {
      $coluna = $coluna["Field"];
     echo "$" . $coluna . " = $" . "_POST['" . $coluna . "'];<br>";
}

echo "<br><br> <strong> //CAMPOS TABELA SALVAR </strong><br><br>";

echo '$campos_tabela = "';

$query_insert = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_insert)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo $coluna . '';
	 }else{
		echo $coluna . ", "; 
	 }
}
echo '";';
echo "<br>";
echo "<br>";
echo "//Dados da Tabela";
echo "<br>";
echo "<br>";
echo '$tabela	="' . $tabela . '";';
echo "<br>";
echo "<br>";
echo '$campos_value = "';

$query_variavel = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_variavel)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo "'$" . $coluna . "'";
	 }else{
		echo "'$" . $coluna . "', "; 
	 }
}
echo '";';
echo "<br>";
echo "<br>";
echo "//INSERIR REGISTROS";
echo "<br>";
echo "<br>";
echo 'if($acao_bd == "Salvar"){';
echo "<br>";
echo "<br>";
echo '$salvar = Salvar($tabela,  $campos_tabela, $campos_value);';
echo "<br>";
echo "<br>";
echo "// RETORNA ULTIMO ID INSERIDO";
echo "<br>";
echo "<br>";
echo '$id_insert = mysql_insert_id();';
echo "<br>";
echo "<br>";
echo '$redireciona = VerificaSql($salvar, "manutencao_'.$pagina.'.php?'.$idregistro.'=".$id_insert."", "manutencao_'.$pagina.'.php");';
echo "<br>";
echo "<br>";
echo '}';
echo "<br>";

echo "<br><br> <strong>// CAMPOS ALTERAR </strong><br><br>";
echo "<br>";
//ATUALIZANDO REGISTRO
echo 'if($acao_bd == "Alterar"){';
echo "<br>";
echo "<br>";

echo '$campos_alterar = "';

$query_update = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_update)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo $coluna . "='$" . $coluna . "'";
	 }else{
		echo $coluna . "='$" . $coluna . "', "; 
	 }
	 
}
echo '";';
echo "<br>";
echo "<br>";
echo '$atualizar = Alterar($tabela, $campos_alterar, "'.$idregistro.'", $'.$idregistro.');';
echo "<br>";
echo '$redireciona = VerificaSql($atualizar, "manutencao_'.$pagina.'.php?'.$idregistro.'=".$'.$idregistro.'."", "manutencao_'.$pagina.'.php?'.$idregistro.'=".$'.$idregistro.'."");';
echo "<br>";
echo "<br>";
echo '}';
echo "<br>";

echo "<br><br> <strong> //EXCLUIR REGISTRO </strong><br><br>";

echo "<br>";
echo "<br>";
echo 'if($_GET["excluir"] == "sim"){';
echo "<br>";
echo "<br>";
echo '$deletar = Excluir($tabela, "'.$idregistro.'", $'.$idregistro.');';
echo "<br>";
echo '$redireciona = VerificaSql($deletar, "listar_'.$pagina.'.php", "manutencao_'.$pagina.'.php?'.$idregistro.'=".$'.$idregistro.'."");';
echo "<br>";
echo "<br>";
echo '} ';


echo "<br><br> <strong> //CAMPOS SELECT </strong><br><br>";

echo 'if($acao == "Alterar"){';
echo "<br>";
echo "<br>";
echo '$selecionar_'.$pagina.' = Seleciona($tabela, "WHERE '.$idregistro.'=$'.$idregistro.'", "") or die(mysql_error());';
echo "<br>";
echo 'while($'.$nomelinha.'=mysql_fetch_array($selecionar_'.$pagina.')){';
echo "<br>";

		
$query_select = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_select);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_select)) {
      $coluna = $coluna["Field"];
	 	echo "$" . $coluna . " = $" . $nomelinha . "['" .  $coluna . "']; <br>"; 
}
echo "<br>";
echo '} ';
echo "<br>";
echo '} ';

echo "<br>";
echo "<br>";

//GERAR FORMULÁRIOS
$form = '<form name="cadastro_' . $tabela . '" id="cadastro_' . $tabela . '" method="post" action="manutencao_'.$pagina.'.php" enctype="multipart/form-data" class="form-default">';
$form .= '<input type="hidden" name="acao" value="<?php echo $acao;?>">';
$form .= '<input type="hidden" name="'.$idregistro.'" value="<?php echo $'.$idregistro.';?>"> ';

$query_select = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_select);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_select)) {
$coluna = $coluna["Field"];

$form .="
		<div class='col-xs-6'>
		<label for='".$coluna."'>".$coluna."</label>
		  <input type='text' id='".$coluna."' name='".$coluna."' class='form-control' placeholder='".$coluna."' value='<?php echo $".$coluna.";?>'>
		</div>
";
}
$form .='
<div class="box-footer">
<button type="submit" class="btn btn-primary">Salvar</button>';
$form .="<button type='button' class='btn btn-danger' onclick='location.href='manutencao_".$pagina.".php?".$idregistro."=<?php echo $".$idregistro.";?>&excluir=sim';'>Excluir</button>";
$form .='</div>
';
$form .= "</form>";
echo   html_entity_decode($form);
exit();
}

function ExibeApenasNumero($str) {
    return preg_replace("/[^0-9]/", "", $str);
}

function TituloMenu($idmenu){

$SelecionaMenu = Seleciona("menus", "WHERE idmenu='$idmenu'", "LIMIT 0,1");
	while($linha_menu = mysql_fetch_array($SelecionaMenu)){
		$TituloMenu = $linha_menu['titulo'];	
	}
	return $TituloMenu;
}

function NomeUsuario($idusuario){

$SelecionaUsuario = Seleciona("usuarios", "WHERE idusuario='$idusuario'", "LIMIT 0,1");
	while($linha_usuarios = mysql_fetch_array($SelecionaUsuario)){
		$NomeUsuario = $linha_usuarios['nome'];	
	}
	return $NomeUsuario;
}

function LoginUsuario($idusuario){

$SelecionaUsuario = Seleciona("usuarios", "WHERE idusuario='$idusuario'", "LIMIT 0,1");
	while($linha_usuarios = mysql_fetch_array($SelecionaUsuario)){
		$NomeUsuario = $linha_usuarios['usuario'];	
	}
	return $NomeUsuario;
}

function NomeFornecedor($idfornecedor){

$SelecionaFornecedor = Seleciona("fornecedores", "WHERE idfornecedor='$idfornecedor'", "LIMIT 0,1");
	while($linha_fornecedores = mysql_fetch_array($SelecionaFornecedor)){
		$NomeFornecedor = $linha_fornecedores['nome'];	
	}
	return $NomeFornecedor;
}

function NomeBuffet($idbuffet){

$SelecionaBuffet = Seleciona("buffets", "WHERE idbuffet='$idbuffet'", "LIMIT 0,1");
	while($linha_buffet = mysql_fetch_array($SelecionaBuffet)){
		$NomeBuffet = $linha_buffet['nome'];	
	}
	return $NomeBuffet;
}

function NomeCentroCusto($idcentrodecusto){

$SelecionaCentroCusto = Seleciona("centrodecusto", "WHERE idcentrodecusto='$idcentrodecusto'", "LIMIT 0,1");
	while($linha_centrocusto = mysql_fetch_array($SelecionaCentroCusto)){
		$NomeCentroCusto = $linha_centrocusto['titulo'];	
	}
	return $NomeCentroCusto;
}

function porcentagem_nx ( $parcial, $total ) {
    return ( $parcial * 100 ) / $total;
}


//VERIFICA CNPJ VÁLIDO

function validaCNPJ($cnpj) { 
    if (strlen($cnpj) <> 18) return 0; 
    $soma1 = ($cnpj[0] * 5) + 
 
    ($cnpj[1] * 4) + 
    ($cnpj[3] * 3) + 
    ($cnpj[4] * 2) + 
    ($cnpj[5] * 9) + 
    ($cnpj[7] * 8) + 
    ($cnpj[8] * 7) + 
    ($cnpj[9] * 6) + 
    ($cnpj[11] * 5) + 
    ($cnpj[12] * 4) + 
    ($cnpj[13] * 3) + 
    ($cnpj[14] * 2); 
    $resto = $soma1 % 11; 
    $digito1 = $resto < 2 ? 0 : 11 - $resto; 
    $soma2 = ($cnpj[0] * 6) + 
 
    ($cnpj[1] * 5) + 
    ($cnpj[3] * 4) + 
    ($cnpj[4] * 3) + 
    ($cnpj[5] * 2) + 
    ($cnpj[7] * 9) + 
    ($cnpj[8] * 8) + 
    ($cnpj[9] * 7) + 
    ($cnpj[11] * 6) + 
    ($cnpj[12] * 5) + 
    ($cnpj[13] * 4) + 
    ($cnpj[14] * 3) + 
    ($cnpj[16] * 2); 
    $resto = $soma2 % 11; 
    $digito2 = $resto < 2 ? 0 : 11 - $resto; 
    return (($cnpj[16] == $digito1) && ($cnpj[17] == $digito2)); 
} 

function RetornaMaoObra($id, $campo_bd){

$Seleciona = Seleciona("maodeobra", "WHERE idmaodeobra='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}

function NomeMaoDeObra($idmaodeobra){

$SelecionaNomeMaodeObra = Seleciona("maodeobra", "WHERE idmaodeobra='$idmaodeobra'", "LIMIT 0,1");
	while($linha_maodeobra = mysql_fetch_array($SelecionaNomeMaodeObra)){
		$NomeMaodeObra = $linha_maodeobra['nome'];	
	}
	return $NomeMaodeObra;
}

function RetornaColaborador($id, $campo_bd){

$Seleciona = Seleciona("usuarios", "WHERE idusuario='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}

function NomeColaborador($idusuario){

$SelecionaNomeColaborador = Seleciona("usuarios", "WHERE idusuario='$idusuario'", "LIMIT 0,1");
	while($linha_colaborador = mysql_fetch_array($SelecionaNomeColaborador)){
		$NomeColaborador = $linha_colaborador['nome'];	
	}
	return $NomeColaborador;
}

function RetornaFornecedor($id, $campo_bd){

$Seleciona = Seleciona("fornecedores", "WHERE idfornecedor='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}

function CnpjFornecedor($idfornecedor){

$SelecionaFornecedor = Seleciona("fornecedores", "WHERE idfornecedor='$idfornecedor'", "LIMIT 0,1");
	while($linha_fornecedor = mysql_fetch_array($SelecionaFornecedor)){
		$CnpjForncedor = $linha_fornecedor['cnpj'];	
	}
	return $CnpjForncedor;
}

function QtdeServicoPorCategoriaConcluido($idcategoria, $idobra){

$SelecionaFornecedor = Seleciona("obras_servicos", "WHERE status='Concluido' AND idcategoria='$idcategoria' AND idobra='$idobra'", "");
$TotalServicos = mysql_num_rows($SelecionaFornecedor);
	return $TotalServicos;
}

function QtdeServicoPorCategoriaAberto($idcategoria, $idobra){

$SelecionaFornecedor = Seleciona("obras_servicos", "WHERE status IN('Pendente', 'Trabalho') AND idcategoria='21' AND idobra='$idobra'", "");
$TotalServicos = mysql_num_rows($SelecionaFornecedor);
	return $TotalServicos;
}


    
function TituloCategoriaServico($idcategoria){

$SelecionaObrasServicos = Seleciona("servicos_categorias", "WHERE idservicocategoria='$idcategoria'", "LIMIT 0,1");
	while($linha_obras = mysql_fetch_array($SelecionaObrasServicos)){
		$TituloServico = $linha_obras['titulo'];	
	}
	
	return $TituloServico;
}

function NomeFilial($idfilial){
$SelecionaFilial = Seleciona("filiais", "WHERE idfilial='$idfilial'", "LIMIT 0,1");
	while($linha_filial = mysql_fetch_array($SelecionaFilial)){
		$NomeFilial = $linha_filial['nome'];	
	}
	return $NomeFilial;
}

function NomeCliente($idcliente){

$SelecionaNomeCliente = Seleciona("clientes", "WHERE idcliente='$idcliente'", "LIMIT 0,1");
	while($linha_cliente = mysql_fetch_array($SelecionaNomeCliente)){
		$NomeCliente = $linha_cliente['nome'];	
	}	
	return $NomeCliente;
}

function TituloAndamentoPedido($idstatus_vendas){

$SelecionaNomeCliente = Seleciona("status_vendas", "WHERE idstatus_vendas='$idstatus_vendas'", "LIMIT 0,1");
	while($linha_cliente = mysql_fetch_array($SelecionaNomeCliente)){
		$NomeCliente = $linha_cliente['titulo'];	
	}	
	return $NomeCliente;
}

function Cargo($idcargo){

$SelecionaCargo = Seleciona("cargos", "WHERE idcargo='$idcargo'", "LIMIT 0,1");
	while($linha_cargo = mysql_fetch_array($SelecionaCargo)){
		$Cargo = $linha_cargo['titulo'];	
	}	
	return $Cargo;
}

function NomeBanco($idbanco){

$SelecionaBanco = Seleciona("bancos", "WHERE idbanco='$idbanco'", "LIMIT 0,1");
	while($linha_banco = mysql_fetch_array($SelecionaBanco)){
		$Banco = $linha_banco['titulo'];	
	}	
	return $Banco;
}

function ClienteObra($idobra){

$SelecionaClienteObra = Seleciona("obras", "WHERE idobra='$idobra'", "LIMIT 0,1");
	while($clienteobra = mysql_fetch_array($SelecionaClienteObra)){
		$CodCliente = $clienteobra['idcliente'];	
		
		
$SelecionaNomeCliente = Seleciona("clientes", "WHERE CodCli='$CodCliente'", "LIMIT 0,1");
	while($linha_cliente = mysql_fetch_array($SelecionaNomeCliente)){
		$NomeCliente = $linha_cliente['nome'];	
	}		
		
	}
	return $NomeCliente;
}


// Função de porcentagem: Quanto é X% de N?
function ValorPorcentagem ( $porcentagem, $total ) {
	return ( $porcentagem / 100 ) * $total;
}

// Função de porcentagem: N é X% de N
function PercentualValor ( $parcial, $total ) {
    return ( $parcial * 100 ) / $total;
}

function RetornaConta($id, $campo_bd){

$Seleciona = Seleciona("contas", "WHERE idconta='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}

function RetornaCampoGeral($tabela, $id, $campo, $campo_bd){

$Seleciona = Seleciona($tabela, "WHERE $campo='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}



function EnviarEmail( $email, $nome, $assunto, $layout_email, $id ){


//ENVIAR E-MAIL CHAMADO

// Inclui o arquivo class.phpmailer.php localizado na pasta phpmailer
require_once("clsmail.php");

// Inicia a classe PHPMailer
$mail = new PHPMailer();

// Define os dados do servidor e tipo de conexÃ£o
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

$mail->IsSMTP(); // Define que a mensagem serÃ¡ SMTP
$mail->Host = "mail.minhaempresa.online"; // EndereÃ§o do servidor SMTP
$mail->SMTPAuth = true; // Usa autenticaÃ§Ã£o SMTP? (opcional)
$mail->Username = 'aviso@minhaempresa.online'; // UsuÃ¡rio do servidor SMTP
$mail->Password = 'cliente@k88'; // Senha do servidor SMTP
$mail->Port = 587; 
$mail->SMTPDebug  = 1;

// Define o remetente
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$FROM = "Sistema Max";
$mail->IsSMTP(); // Define que a mensagem serÃ¡ SMTP
$mail->Host = "mail.minhaempresa.online"; // EndereÃ§o do servidor SMTP
$mail->SMTPAuth = true; // Usa autenticaÃ§Ã£o SMTP? (opcional)
$mail->Username = 'aviso@minhaempresa.online'; // UsuÃ¡rio do servidor SMTP
$mail->Password = 'cliente@k88'; // Senha do servidor SMTP
$mail->Port = 587; 
$mail->SMTPDebug  = 1;

$mail->Subject  = utf8_decode($assunto); // Assunto da mensagem
	ob_start();
//	echo $id;
	require_once($layout_email);	
	$TextoEmail = ob_get_contents();
	ob_end_clean();	

//$TextoEmail = "ENVIAR POR FAVOR";
$mail->Body = utf8_decode($TextoEmail);

// Envia o e-mail
$enviado = $mail->Send();
$mail->SMTPDebug = 1;
// Limpa os destinatÃ¡rios e os anexos
$mail->ClearAllRecipients();
$mail->ClearAttachments();

if($enviado){
	echo "ENVIADO COM SUCESSO PARA " . $email . "<br>";	
}

return $enviado;
	
}


function EnviarEmailMultiplo( $emails, $nomes, $assunto, $layout_email, $id ){

//ENVIAR E-MAIL CHAMADO

// Inclui o arquivo class.phpmailer.php localizado na pasta phpmailer
require_once("clsmail.php");

// Inicia a classe PHPMailer
$mail = new PHPMailer();

// Define os dados do servidor e tipo de conexÃ£o
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$mail->IsSMTP(); // Define que a mensagem serÃ¡ SMTP
$mail->Host = "mail.minhaempresa.online"; // EndereÃ§o do servidor SMTP
$mail->SMTPAuth = true; // Usa autenticaÃ§Ã£o SMTP? (opcional)
$mail->Username = 'aviso@minhaempresa.online'; // UsuÃ¡rio do servidor SMTP
$mail->Password = 'cliente@k88'; // Senha do servidor SMTP
$mail->Port = 587; 
$mail->SMTPDebug  = 1;

// Define o remetente
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$FROM = "Sistema Max";
$mail->From = "no-reply@minhaempresa.online"; // Seu e-mail
$mail->FromName = utf8_decode($FROM); // Seu nome

//LOOP NO E-MAILS RECEBIDOS NO LOOP.

foreach ($emails as $indice => $dados) {
$mail->AddAddress($dados, $nomes[$indice]);


}

//FIM LOOP

$mail->IsHTML(true); // Define que o e-mail será enviado como HTML
$mail->CharSet = 'iso-8859-1'; // Charset da mensagem (opcional)

$mail->Subject  = utf8_decode($assunto); // Assunto da mensagem
	ob_start();
//	echo $id;
	require_once($layout_email);	
	$TextoEmail = ob_get_contents();
	ob_end_clean();	

//$TextoEmail = "ENVIAR POR FAVOR";
$mail->Body = utf8_decode($TextoEmail);

// Envia o e-mail
$enviado = $mail->Send();
$mail->SMTPDebug = 1;
// Limpa os destinatÃ¡rios e os anexos
$mail->ClearAllRecipients();
$mail->ClearAttachments();

if($enviado){
	echo "ENVIADO COM SUCESSO";	
}

return $enviado;
	
}

function ver_extensao($arquivo) {
$extensao = array_reverse(explode(".",$arquivo));
return $extensao[0];
}

function ArredondarValor($valor) { 
   $float_arredondado=round($valor * 100) / 100; 
   return $float_arredondado; 
} 


//GERAR AVISO COMPLETO

function EnviarAvisoCompleto($emails, $nomes, $assunto, $layout_email, $idobra, $idusuario, $tipo_aviso, $idsolicitacao_compra){

//ENVIAR E-MAIL

// Inclui o arquivo class.phpmailer.php localizado na pasta phpmailer
require_once("clsmail.php");

// Inicia a classe PHPMailer
$mail = new PHPMailer();

// Define os dados do servidor e tipo de conexÃ£o
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$FROM = "Grupo AKMX";
$mail->IsSMTP(); // Define que a mensagem serÃ¡ SMTP
$mail->Host = "mail.minhaempresa.online"; // EndereÃ§o do servidor SMTP
$mail->SMTPAuth = true; // Usa autenticaÃ§Ã£o SMTP? (opcional)
$mail->Username = 'aviso@minhaempresa.online'; // UsuÃ¡rio do servidor SMTP
$mail->Password = 'cliente@k88'; // Senha do servidor SMTP
$mail->Port = 587; 
$mail->SMTPDebug  = 1;

$mail->From = "no-reply@minhaempresa.online"; // Seu e-mail
$mail->FromName = utf8_decode($FROM); // Seu nome

$mail->IsHTML(true); // Define que o e-mail será enviado como HTML
$mail->CharSet = 'iso-8859-1'; // Charset da mensagem (opcional)

foreach ($emails as $indice => $dados) {
$mail->AddAddress($dados, $nomes[$indice]);

//CRIAR AVISO
$CriarAviso = Salvar("avisos", "titulo,usuario_cadastro,datacadastro,status,cargo, destino, idfilial, idobra, idsolicitacao_compra", "'$assunto','".$_SESSION['usuarioID']."','".date('Y-m-d H:i:s')."','Aberto','".$idusuario[$indice]."', '$tipo_aviso', '".$_SESSION['idfilial_usuario']."', '$idobra', '$idsolicitacao_compra'");

}


$mail->Subject  = utf8_decode($assunto);
	ob_start();
	require_once($layout_email);	
	$TextoEmail = ob_get_contents();
	ob_end_clean();	

$mail->Body = utf8_decode($TextoEmail);

$enviado = $mail->Send();
$mail->SMTPDebug = 1;
$mail->ClearAllRecipients();
$mail->ClearAttachments();

if($enviado){
	echo "ENVIADO COM SUCESSO PARA " . $email . "<br>";	
}

return $enviado;
	
}

function DuplicarRegistro ($table, $id_field, $id) {
    // load the original record into an array
    $result = mysql_query("SELECT * FROM {$table} WHERE {$id_field}={$id}");
    $original_record = mysql_fetch_assoc($result);
    
    // insert the new record and get the new auto_increment id
    mysql_query("INSERT INTO {$table} (`{$id_field}`) VALUES (NULL)");
    $newid = mysql_insert_id();
    
    // generate the query to update the new record with the previous values
    $query = "UPDATE {$table} SET ";
    foreach ($original_record as $key => $value) {
        if ($key != $id_field) {
            $query .= '`'.$key.'` = "'.str_replace('"','\"',$value).'", ';
        }
    } 
    $query = substr($query,0,strlen($query)-2); // lop off the extra trailing comma
    $query .= " WHERE {$id_field}={$newid}";
    mysql_query($query);
    
    // return the new id
    return $newid;
}


function soNumero($str) {
    return preg_replace("/[^0-9]/", "", $str);
}
?>
